<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

const PDFDRAFT_VERSION         = '1.0';
const PDFDRAFT_MIN_PHP_VERSION = '7.4.0';
const PDFDRAFT_MIN_WP_VERSION  = '6.4.0';
define( 'PDFDRAFT_PLUGIN_FILE', dirname( __DIR__ ) . DIRECTORY_SEPARATOR . 'pdfdraft.php' );
define( 'PDFDRAFT_PLUGIN_DIR', dirname( PDFDRAFT_PLUGIN_FILE ) );
define( 'PDFDRAFT_PLUGIN_DIR_NAME', dirname( plugin_basename( PDFDRAFT_PLUGIN_FILE ) ) );
define( 'PDFDRAFT_PLUGIN_DIR_URL', plugin_dir_url( PDFDRAFT_PLUGIN_FILE ) );
define( 'PDFDRAFT_PLUGIN_BASE', plugin_basename( PDFDRAFT_PLUGIN_FILE ) );
define( 'PDFDRAFT_VENDOR_DIR', PDFDRAFT_PLUGIN_DIR . DIRECTORY_SEPARATOR . 'vendor' );
define( 'PDFDRAFT_LANGUAGE_DIR', PDFDRAFT_PLUGIN_DIR . DIRECTORY_SEPARATOR . 'language' );
define( 'PDFDRAFT_DIST_DIR', PDFDRAFT_PLUGIN_DIR . DIRECTORY_SEPARATOR . 'dist' );
define( 'PDFDRAFT_DIST_URI', PDFDRAFT_PLUGIN_DIR_URL . '/dist' );
